cascading.flow.planner.rule.assertion

## Class LoneGroupAssert

- java.lang.Object
- - cascading.flow.planner.iso.assertion.GraphAssert<ElementGraph>
  - - cascading.flow.planner.rule.RuleAssert
    - - cascading.flow.planner.rule.assertion.LoneGroupAssert

- All Implemented Interfaces:
    Rule

      public class LoneGroupAssert
      extends RuleAssert

  Verifies that there are not only GroupAssertions following any given Group instance. This will adversely affect the stream entering any subsequent Tap of Each instances.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.planner.iso.assertion.GraphAssert

      `GraphAssert.AssertionType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoneGroupAssert()`

  - ### Method Summary

    - ### Methods inherited from class cascading.flow.planner.rule.RuleAssert

      `getRuleName, getRulePhase, toString, transform`

    - ### Methods inherited from class cascading.flow.planner.iso.assertion.GraphAssert

      `assertion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LoneGroupAssert

          public LoneGroupAssert()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.